Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.Reflection.MemberInfo System.Runtime.InteropServices._PropertyInfo System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._PropertyInfo)) System.Runtime.InteropServices.ComVisible(true)

Properties are logically the same as fields. A property is a named aspect of an object's state whose value is typically accessible through get and set accessors. Properties may be read-only, in which case a set routine is not supported.

To determine whether a property is static, you must obtain the for the get or set accessor, by calling the or the method, and examine its property.

Several methods in this class assume that the get accessor and set accessor methods of a property have certain formats. The signatures of the get and set methods must match the following convention:

The return type of the get method and the last argument of the set method must be identical. This is the type of the property.

The get and set methods must have the same number, type, and order of indices.

If this format is not followed, the behavior of the GetValue and SetValue methods is undefined.

Calling on PropertyInfo when the parameter of GetCustomAttributes is true does not walk the type hierarchy. Use to inherit custom attributes.

Discovers the attributes of a property and provides access to property metadata.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyAttributes

  A value that specifies the attributes of the property reflected by the current instance.

  This property represents the attributes associated with a member. All members have a set of attributes that are defined in relation to the specific type of member. The property attributes let the user know if this property is the default property, a SpecialName property, and so on.

  To get the Attributes property, first get the class type. From the type, get the PropertyInfo. From the PropertyInfo, get the attributes.

  Gets the attributes for this property.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  if the property reflected by the current instance has a accessor; otherwise, .

  If the property does not have a get accessor, it cannot be read.

  To get the CanRead property, first get the class Type. From the Type, get the PropertyInfo. From the PropertyInfo, get the CanRead value.

  Gets a value indicating whether the property can be read.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  if the property reflected by the current instance has a accessor; otherwise, .

  If the property does not have a set accessor, it cannot be written to.

  To get the CanWrite property, first get the class Type. From the Type, get the PropertyInfo. From the PropertyInfo, get the CanWrite value.

  Gets a value indicating whether the property can be written to.

  0
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether this instance is equal to a specified object.

  true if equals the type and value of this instance; otherwise, false.

  An object to compare with this instance, or null.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[]

  This method is equivalent to ().

  Returns an array whose elements reflect the public get, set, and other accessors of the property reflected by the current instance.

  An array of objects that reflect the public get, set, and other accessors of the property reflected by the current instance, if found; otherwise, this method returns an array with zero (0) elements.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[] `` Requires permission to reflect non-public members of a type in loaded assemblies. See .

  To use the GetAccessors method, first get the class Type. From the Type, get the PropertyInfo. From the PropertyInfo, use the GetAccessors method.

  Returns an array whose elements reflect the public and, if specified, non-public get, set, and other accessors of the property reflected by the current instance.

  An array of objects whose elements reflect the get, set, and other accessors of the property reflected by the current instance. If is true, this array contains public and non-public get, set, and other accessors. If is false, this array contains only public get, set, and other accessors. If no accessors with the specified visibility are found, this method returns an array with zero (0) elements.

  Indicates whether non-public methods should be returned in the MethodInfo array. true if non-public methods are to be included; otherwise, false. 0
- Method
  2.0.0.0
  4.0.0.0
  System.Object

  This method is provided for designers of managed compilers and code analyzers.

  Do not use this method in the reflection-only context, because it might cause code to execute. Use the method instead.

  In unmanaged metadata, the Constant table is used to store constant values for fields, parameters, and properties. Constant information does not directly influence runtime behavior. Compilers inspect this information, at compile time, when importing metadata. If used, the value of a constant is embedded in the Microsoft intermediate language (MSIL) stream the compiler emits. There are no MSIL instructions that can be used to access the Constant table at run time.

  For more information on constant values and the Constant table, see the ECMA Partition II documentation. The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Returns a literal value associated with the property by a compiler.

  An that contains the literal value associated with the property. If the literal value is a class type with an element value of zero, the return value is null.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo

  This is a convenience method that provides an implementation for the abstract GetGetMethod method with the parameter set to false.

  To use the GetGetMethod method, first get the class Type. From the Type, get the . From the , use the GetGetMethod method.

  Returns the public get accessor for this property.

  A MethodInfo object representing the public get accessor for this property, or null if the get accessor is non-public or does not exist.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` is , the accessor for the property reflected by the current instance is non-public, and the caller does not have to reflect on non-public methods. Requires permission to reflect non-public members of a type in loaded assemblies. See .

  This property is the representing the get accessor.

  To use the GetGetMethod method, first get the class Type. From the Type, get the . From the , use the GetGetMethod method.

  When overridden in a derived class, returns the public or non-public get accessor for this property.

  A MethodInfo object representing the get accessor for this property, if is true. Returns null if is false and the get accessor is non-public, or if is true but no get accessors exist.

  Indicates whether a non-public get accessor should be returned. true if a non-public accessor is to be returned; otherwise, false. 0
- Method
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterInfo[] The property reflected by the current instance is visible, but its and accessors are not, and the caller does not have . Requires permission to reflect non-public members of a type in loaded assemblies. See .

  Extract any required parameter information from the returned array.

  To use the GetIndexParameters method, first get the class Type. From the Type, get the PropertyInfo. From the PropertyInfo, use the GetIndexParameters method.

  When overridden in a derived class, returns an array of all the index parameters for the property.

  An array of type ParameterInfo containing the parameters for the indexes. If the property is not indexed, the array has 0 (zero) elements.

  0
- Property
  4.0.0.0
  System.Reflection.MethodInfo To be added. To be added.

  Gets the get accessor for this property.

- Method
  2.0.0.0
  4.0.0.0
  System.Type[]

  The and methods are provided for designers of managed compilers. For more information on custom modifiers, see and related classes in the namespace and the metadata specification in the ECMA Partition II documentation. The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Returns an array of types representing the optional custom modifiers of the property.

  An array of objects that identify the optional custom modifiers of the current property, such as or .

- Method
  2.0.0.0
  4.0.0.0
  System.Object

  This method is provided for designers of managed compilers and code analyzers.

  This method can be used in both the execution context and the reflection-only context.

  In unmanaged metadata, the Constant table is used to store constant values for fields, parameters, and properties. Constant information does not directly influence runtime behavior. Compilers inspect this information, at compile time, when importing metadata. If used, the value of a constant is embedded in the Microsoft intermediate language (MSIL) stream the compiler emits. There are no MSIL instructions that can be used to access the Constant table at run time.

  For more information on constant values and the Constant table, see the ECMA Partition II documentation. The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Returns a literal value associated with the property by a compiler.

  An that contains the literal value associated with the property. If the literal value is a class type with an element value of zero, the return value is null.

- Method
  2.0.0.0
  4.0.0.0
  System.Type[]

  The and methods are provided for designers of managed compilers. For more information on custom modifiers, see and related classes in the namespace and the metadata specification in the ECMA Partition II documentation. The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Returns an array of types representing the required custom modifiers of the property.

  An array of objects that identify the required custom modifiers of the current property, such as or .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo

  This is a convenience method that provides an implementation for the abstract GetSetMethod method with the parameter set to false.

  To use the GetSetMethod method, first get the class Type. From the Type, get the . From the PropertyInfo, use the GetSetMethod method.

  Returns the public set accessor for this property.

  The MethodInfo object representing the Set method for this property if the set accessor is public, or null if the set accessor is not public.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` is , the accessor for the property reflected by the current instance is non-public, and the caller does not have to reflect on non-public methods. Requires permission to reflect non-public members of a type in loaded assemblies. See .

  To use the GetSetMethod method, first get the class Type. From the Type, get the . From the PropertyInfo, use the GetSetMethod method.

  When overridden in a derived class, returns the set accessor for this property.

  Value

  Condition

  A object representing the Set method for this property.

  The set accessor is public.

  -or-

  is true and the set accessor is non-public.

  null

  is true, but the property is read-only.

  -or-

  is false and the set accessor is non-public.

  -or-

  There is no set accessor.

  Indicates whether the accessor should be returned if it is non-public. true if a non-public accessor is to be returned; otherwise, false. 0
- Method
  System.Type To be added. To be added. To be added. 1.0.5000.0
- Method
  4.0.0.0
  System.Diagnostics.DebuggerStepThrough
  System.Object `` To be added.

  Returns the property value of a specified object.

  The property value of the specified object.

  The object whose property value will be returned.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.DebuggerStepThrough
  System.Object `` ``

  does not contain the exact type of arguments needed.

  -or-

  The accessor of the property reflected by the current instance is not found.

  The accessor of the property reflected by the current instance is non-public and the caller does not have to reflect on non-public methods. The property reflected by the current instance is non-static, and is or is of a type that does not implement the property reflected by the current instance. The current instance reflects an indexer and .Length does not equal the rank of the indexer. Requires permission to reflect non-public members of a type in loaded assemblies. See . Optional index values for indexed properties. This value should be null for non-indexed properties.

  To determine whether a property is indexed, use the method. If the resulting array has 0 (zero) elements, the property is not indexed.

  This is a convenience method that provides an implementation for the abstract GetValue method with a BindingFlags parameter of Default, the Binder set to null, and the CultureInfo set to null.

  Because static properties belong to the type, not individual objects, get static properties by passing null as the object argument. For example, use the following code to get the static CurrentCulture property of CultureInfo :

  `PropertyInfo CurCultProp = (typeof(CultureInfo)).GetProperty("CurrentCulture"); Console.WriteLine("CurrCult: " + CurCultProp.GetValue(null,null));`

  To use the GetValue method, first get the class Type. From the Type, get the PropertyInfo. From the PropertyInfo, use the GetValue method.

  Starting with the net_v20sp1_long, this method can be used to access non-public members if the caller has been granted with the flag and if the grant set of the non-public members is restricted to the caller’s grant set, or a subset thereof. (See Security Considerations for Reflection.)

  To use this functionality, your application should target the net_v35_long or later.

  Returns the property value of a specified object with optional index values for indexed properties.

  The property value of the specified object.

  The object whose property value will be returned. Optional index values for indexed properties. This value should be null for non-indexed properties. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` ``

  does not contain the exact type of arguments needed.

  -or-

  The accessor of the property reflected by the current instance was not found.

  The accessor of the property reflected by the current instance is non-public and the caller does not have to reflect on non-public methods. The property reflected by the current instance is non-static, and is or is of a type that does not implement the property reflected by the current instance. The current instance reflects an indexer and .Length does not equal the rank of the indexer. Requires permission to reflect non-public members of a type in loaded assemblies. See . A bitwise combination of the following enumeration members that specify the invocation attribute: InvokeMethod, CreateInstance, Static, GetField, SetField, GetProperty, and SetProperty. You must specify a suitable invocation attribute. For example, to invoke a static member, set the Static flag. An object that enables the binding, coercion of argument types, invocation of members, and retrieval of objects through reflection. If is null, the default binder is used. Optional index values for indexed properties. This value should be null for non-indexed properties. The culture for which the resource is to be localized. If the resource is not localized for this culture, the property will be called successively in search of a match. If this value is null, the culture-specific information is obtained from the property.

  To determine whether a property is indexed, use the method. If the resulting array has 0 (zero) elements, the property is not indexed.

  Because static properties belong to the type, not individual objects, get static properties by passing null as the object argument. For example, use the following code to get the static CurrentCulture property of CultureInfo :

  `PropertyInfo CurCultProp = (typeof(CultureInfo)).GetProperty("CurrentCulture"); Console.WriteLine("CurrCult: " + CurCultProp.GetValue(null,null));`

  To use the GetValue method, first get the class Type. From the Type, get the PropertyInfo. From the PropertyInfo, use the GetValue method.

  Starting with the net_v20sp1_long, this method can be used to access non-public members if the caller has been granted with the flag and if the grant set of the non-public members is restricted to the caller’s grant set, or a subset thereof. (See Security Considerations for Reflection.)

  To use this functionality, your application should target the net_v35_long or later.

  When overridden in a derived class, returns the property value of a specified object that has the specified binding, index, and culture-specific information.

  The property value of the specified object.

  The object whose property value will be returned. A bitwise combination of the following enumeration members that specify the invocation attribute: InvokeMethod, CreateInstance, Static, GetField, SetField, GetProperty, and SetProperty. You must specify a suitable invocation attribute. For example, to invoke a static member, set the Static flag. An object that enables the binding, coercion of argument types, invocation of members, and retrieval of objects through reflection. If is null, the default binder is used. Optional index values for indexed properties. This value should be null for non-indexed properties. The culture for which the resource is to be localized. If the resource is not localized for this culture, the property will be called successively in search of a match. If this value is null, the culture-specific information is obtained from the property. 0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  The SpecialName bit is set to flag members that are treated in a special way by some compilers (such as property accessors and operator overloading methods).

  To get the IsSpecialName property, first get the class Type. From the Type, get the PropertyInfo. From the PropertyInfo, get the IsSpecialName value.

  Gets a value indicating whether the property is the special name.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added.

  This property overrides . Therefore, when you examine a set of objects — for example, the array returned by — the property returns only when a given member is a property.

  MemberType is a derived class of MemberInfo and specifies the type of member this is. Member types are constructors, properties, fields, and methods. Since this is a PropertyInfo property, the returned type is a property.

  To get the MemberType property, first get the class Type. From the Type, get the PropertyInfo. From the PropertyInfo, get the MemberType value.

  Gets a value indicating that this member is a property.

- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether two objects are equal.

  true if is equal to ; otherwise, false.

  The first object to compare. The second object to compare.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether two objects are not equal.

  true if is not equal to ; otherwise, false.

  The first object to compare. The second object to compare.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type

  A that represents the type of the property reflected by the current instance.

  The Type is String, Boolean, Int32, and so on.

  To get the PropertyType property, first get the class Type. From the Type, get the PropertyInfo. From the PropertyInfo, get the PropertyType value.

  Gets the type of this property.

  0
- Property
  4.0.0.0
  System.Reflection.MethodInfo To be added. To be added.

  Gets the set accessor for this property.

- Method
  4.0.0.0
  System.Diagnostics.DebuggerStepThrough
  System.Void `` `` To be added.

  Sets the property value of a specified object.

  The object whose property value will be set. The new property value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.DebuggerStepThrough
  System.Void `` `` ``

  does not contain the exact type of arguments needed.

  -or-

  The accessor of the property reflected by the current instance was not found.

  The accessor of the property reflected by the current instance is non-public and the caller does not have to reflect on non-public methods. The property reflected by the current instance is non-static, and is or is of a type that does not implement the property reflected by the current instance. The current instance reflects an indexer and .Length does not equal the rank of the indexer. Requires permission to reflect non-public members of a type in loaded assemblies. See . The new property value. Optional index values for indexed properties. This value should be null for non-indexed properties.

  If this object is a value type and is null, then the property will be set to the default value for that type.

  To determine whether a property is indexed, use the method. If the resulting array has 0 (zero) elements, the property is not indexed.

  This is a convenience method that calls the runtime implementation of the abstract method, specifying for the parameter, null for , and null for .

  To use the method, first get a object that represents the class. From the , get the . From the , use the method.

  Starting with the net_v20sp1_long, this method can be used to access non-public members if the caller has been granted with the flag and if the grant set of the non-public members is restricted to the caller’s grant set, or a subset thereof. (See Security Considerations for Reflection.)

  To use this functionality, your application should target the net_v35_long or later.

  Sets the property value of a specified object with optional index values for index properties.

  The object whose property value will be set. The new property value. Optional index values for indexed properties. This value should be null for non-indexed properties. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` The array does not contain the exact type of arguments needed.

  The accessor of the property reflected by the current instance is not found.

  The property reflected by the current instance is non-static, and is or is of a type that does not implement the property reflected by the current instance. The accessor of the property reflected by the current instance is non-public and the caller does not have to reflect on non-public methods. The current instance reflects an indexer and .Length does not equal the rank of the indexer. Requires permission to reflect non-public members of a type in loaded assemblies. See . The new property value.

  If this object is a value type and is null, then the property will be set to the default value for that type.

  To determine whether a property is indexed, use the method. If the resulting array has 0 (zero) elements, the property is not indexed.

  Access restrictions are ignored for fully trusted code. That is, private constructors, methods, fields, and properties can be accessed and invoked via Reflection whenever the code is fully trusted.

  To use the SetValue method, first get the class Type. From the Type, get the PropertyInfo. From the PropertyInfo, use the SetValue method.

  Starting with the net_v20sp1_long, this method can be used to access non-public members if the caller has been granted with the flag and if the grant set of the non-public members is restricted to the caller’s grant set, or a subset thereof. (See Security Considerations for Reflection.)

  To use this functionality, your application should target the net_v35_long or later.

  When overridden in a derived class, sets the property value for a specified object that has the specified binding, index, and culture-specific information.

  The object whose property value will be set. The new property value. A bitwise combination of the following enumeration members that specify the invocation attribute: InvokeMethod, CreateInstance, Static, GetField, SetField, GetProperty, or SetProperty. You must specify a suitable invocation attribute. For example, to invoke a static member, set the Static flag. An object that enables the binding, coercion of argument types, invocation of members, and retrieval of objects through reflection. If is null, the default binder is used. Optional index values for indexed properties. This value should be null for non-indexed properties. The culture for which the resource is to be localized. If the resource is not localized for this culture, the property will be called successively in search of a match. If this value is null, the culture-specific information is obtained from the property. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Type To be added.

  Gets a object representing the type.

  A object representing the type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
0